Bug 1698068 - etcd quorum is not reached when booting the installer on vsphere
Summary: etcd quorum is not reached when booting the installer on vsphere
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Matthew Staebler
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-09 14:37 UTC by Hemant Kumar
Modified: 2019-06-04 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:25 UTC

Description Hemant Kumar 2019-04-09 14:37:09 UTC
When installing openshift-4.1 on vsphere environment, often bootstrap node complains about etcd quorum is not reached. Typically one of the etcd nodes is unhealthy.

A workaround provided to us is - `rm -rf /var/lib/etcd/` on control-plane nodes.

Matthew has opened - https://github.com/openshift/installer/pull/1551 to possibly fix this.

Comment 1 Brenton Leanhardt 2019-04-11 18:03:04 UTC
For QE, we believe this issue to be resolved now.  If you see the problem again just move it back to assigned.

Comment 2 Gaoyun Pei 2019-04-12 11:00:54 UTC
Tried upi on vSphere install twice today, didn't encounter such issue. Move this bug to verified.

Installer version
# ./openshift-install version
./openshift-install v4.1.0-201904101232-dirty
built from commit 741d4db20a2d673eb79cf6dbd076001c9cb65753
release image registry.svc.ci.openshift.org/openshift/origin-release:v4.0

Version of terraform .tf files used for upi-on-vSphere 

installer]# git describe
unreleased-master-772-ge3eb2e2

Comment 4 errata-xmlrpc 2019-06-04 10:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.